// SPDX-License-Identifier: MIT
pragma solidity >=0.6.2;

import { IERC20 } from "./IERC20.sol";

/**
 * @dev Interface for the optional metadata functions from the ERC-20 standard.
 */
interface IERC20Metadata is IERC20 {
    /**
     * @dev Returns the name of the token.
     */
    function name() external view override returns (string memory);

    /**
     * @dev Returns the symbol of the token.
     */
    function symbol() external view override returns (string memory);

    /**
     * @dev Returns the decimals places of the token.
     */
    function decimals() external view override returns (uint8);
}
